diff -Nru WRFV3.5/phys/module_sf_clm.F WRFV3.5_MR/phys/module_sf_clm.F
--- WRFV3.5/phys/module_sf_clm.F	2013-04-17 17:12:47.000000000 +0200
+++ WRFV3.5_MR/phys/module_sf_clm.F	2014-12-17 11:53:55.877462524 +0100
@@ -58412,18 +59017,31 @@
      ! non-land points and must be set by the appropriate surface model
 
      call CLMDebug('Calling Driver')
-     call driver (doalb,ilx,jlx,caldayp1, declinp1, declin)
+     call driver (doalb,ilx,jlx,caldayp1, declinp1,declin,atm_co2,valley_CO2pft2)
      call CLMDebug('Driver done, back to clm3.F')
 
 !-------------------------------------------------------------------------
      call CLMDebug('biophy_to_wrf')
+
+!cmrwrite
+   write(msg, *) 'cmr: before biophy_to_wrf h2osoi_liq = ', maxval(h2osoi_liq) &
+                    ,'h2osoi_ice = ', maxval(h2osoi_ice),&
+                    'h2osoi_vol = ',maxval(h2osoi_vol)
+   call CLMDebug(msg)
+
      call biophy_to_wrf(snl      ,snowdp  ,dzclm      ,zclm        ,&
                      ziclm       ,h2osno  ,h2osoi_liq   ,h2osoi_ice ,t_grnd      ,&
                      t_soisno    ,t_lake  ,t_veg        ,h2ocan     ,h2ocan_col  ,&
                      h2osoi_vol  ,wtc     ,wtp          ,numc       ,nump        ,&
                      htop        ,tsai        &
                      ,t_ref2m ,znt          ,q_ref2m, snw_rdsxy)
- 
+
+!cmrwrite
+   write(msg, *) 'cmr: after biophy_to_wrf h2osoi_liq = ',&
+                   maxval(h2osoi_liq),'h2osoi_ice = ', maxval(h2osoi_ice),&
+                    'h2osoi_vol = ',maxval(h2osoi_vol)
+   call CLMDebug(msg)
+
 
 #if (defined CN)
      call biochem_to_wrf(htmx_buf,croplive_buf,gdd1020_buf,gdd820_buf,gdd020_buf,grainc_buf,grainc_storage_buf  &
@@ -58488,6 +59106,26 @@
     alswvisdif = 0._r8
     alswnirdir = 0._r8
     alswnirdif = 0._r8
+    fpsn = 0._r8 !cmr
+    fpsn_mn = 0._r8 !cmr
+    fpsn_mx = 0._r8 !cmr
+    fpsn_nf = 0._r8 !cmr
+    ci_mr = 0._r8 !cmr
+    rs_mr = 0._r8 !cmr
+    rb_mr = 0._r8 !cmr
+    btran_mr = 0._r8 !cmr
+    apar_mr = 0._r8 !cmr
+    sla_mr = 0._r8 !cmr
+    vcmx_mr = 0._r8 !cmr
+    svpts_mr = 0._r8 !cmr
+    eah_mr = 0._r8 !cmr
+    reco = 0._r8 !cmr
+    reco_gpp = 0._r8 !cmr
+    reco_gppmn = 0._r8 !cmr
+    reco_gppmx = 0._r8 !cmr
+    wj = 0._r8 !cmr
+    we = 0._r8 !cmr
+    wc = 0._r8 !cmr
 !!
   
     do p = begp,endp 
@@ -58504,9 +59142,32 @@
 
         
        alswvisdir = alswvisdir + clm3%g%l%c%p%pps%albd(p,1)*wtp(p)
-       alswnirdif = alswnirdif + clm3%g%l%c%p%pps%albi(p,1)*wtp(p)
+       !cmr wrf3.5.1 bugfix alswnirdif = alswnirdif + clm3%g%l%c%p%pps%albi(p,1)*wtp(p)
+       alswvisdif = alswvisdif + clm3%g%l%c%p%pps%albi(p,1)*wtp(p)
        alswnirdir = alswnirdir + clm3%g%l%c%p%pps%albd(p,2)*wtp(p)  !1=visible, 2=nir
        alswnirdif = alswnirdif + clm3%g%l%c%p%pps%albi(p,2)*wtp(p) 
+!cmr get ecosystem exchange into output
+       fpsn       = fpsn+clm3%g%l%c%p%pcf%fpsn(p)*wtp(p) !cmr add up single values (wpt is weighting function for 10 veg. layers)
+       fpsn_mn       = fpsn_mn+clm3%g%l%c%p%pcf%fpsn_mn(p)*wtp(p) 
+       fpsn_mx       = fpsn_mx+clm3%g%l%c%p%pcf%fpsn_mx(p)*wtp(p)
+       fpsn_nf       = fpsn_nf+clm3%g%l%c%p%pcf%fpsn_nf(p)*wtp(p)
+       reco       = reco+clm3%g%l%c%p%pcf%reco(p)*wtp(p) 
+       reco_gpp   = reco_gpp+clm3%g%l%c%p%pcf%reco_gpp(p)*wtp(p) 
+       reco_gppmn   = reco_gppmn+clm3%g%l%c%p%pcf%reco_gppmn(p)*wtp(p) 
+       reco_gppmx   = reco_gppmx+clm3%g%l%c%p%pcf%reco_gppmx(p)*wtp(p) 
+       wj       = wj+clm3%g%l%c%p%pcf%wj(p)*wtp(p)
+       we       = we+clm3%g%l%c%p%pcf%we(p)*wtp(p)
+       wc       = wc+clm3%g%l%c%p%pcf%wc(p)*wtp(p)
+       ci_mr       = ci_mr+clm3%g%l%c%p%pps%ci_mr(p)*wtp(p) 
+       rs_mr       = rs_mr+clm3%g%l%c%p%pps%rs_mr(p)*wtp(p) 
+       rb_mr       = rb_mr+clm3%g%l%c%p%pps%rb_mr(p)*wtp(p) 
+       btran_mr       = btran_mr+clm3%g%l%c%p%pps%btran_mr(p)*wtp(p) 
+       apar_mr       = apar_mr+clm3%g%l%c%p%pps%apar_mr(p)*wtp(p) 
+       sla_mr       = sla_mr+clm3%g%l%c%p%pps%sla_mr(p)*wtp(p) 
+       vcmx_mr       = vcmx_mr+clm3%g%l%c%p%pps%vcmx_mr(p)*wtp(p) 
+       svpts_mr       = svpts_mr+clm3%g%l%c%p%pps%svpts_mr(p)*wtp(p) 
+       eah_mr       = eah_mr+clm3%g%l%c%p%pps%eah_mr(p)*wtp(p) 
+!cmr end
 
 !!PFT-level outputs
        if ( wtp(p) > 0.001 ) then
@@ -58543,6 +59204,7 @@
        qdnxy = qdnxy + clm3%g%l%c%cwf%qflx_drain(c)*wtc(c)*dtime
     end do
 !-------------------------------------------------------------------------
+
     call CLMDebug('call clmtype_dealloc')
     call clmtype_dealloc()
     call CLMDebug('call filters_dealloc')
@@ -58563,7 +59225,7 @@
 ! !ROUTINE: driver
 !
 ! !INTERFACE:
-subroutine driver (doalb,ilx,jlx,nextsw_cday, declinp1, declin)
+subroutine driver (doalb,ilx,jlx,nextsw_cday, declinp1,declin,atm_co2,valley_CO2pft2)
 !
 ! !DESCRIPTION:
 ! This subroutine provides the main CLM driver calling sequence.  Most
@@ -58740,7 +59402,8 @@
   real(r8), intent(in) :: nextsw_cday                   ! calendar day at Greenwich (1.00, ..., 365.99)
   real(r8), intent(in) :: declinp1                   ! declination angle (radians) for next time step
   real(r8), intent(in) :: declin      ! declination angle for current time step
-
+  real,dimension(3), intent(in) :: atm_co2 !cmr
+  integer, intent(in) :: valley_CO2pft2              ! cmr second pft with forcing of pft 1
 !temp value
   real(r8), pointer :: t_soisno(:,:)
 
@@ -59003,7 +59666,7 @@
 
      call CLMDebug('CanopyFluxes')  !checked and modified according to CLM4
      call CanopyFluxes(begg, endg, begc, endc, begp, endp, &
-                       filter%num_nolakep, filter%nolakep)
+                       filter%num_nolakep, filter%nolakep,atm_co2,valley_CO2pft2)
      ! ============================================================================
      ! Determine lake temperature and surface fluxes
      ! ============================================================================
@@ -59031,9 +59694,9 @@
      ! VOC emission (A. Guenther's model)
 !     call VOCEmission(begp, endp, &
 !                      filter%num_nolakep, filter%nolakep)      !CLM3.5
-     call CLMDebug('Begin VOCEmission')
-   call VOCEmission(begp, endp, &  
-                      filter%num_soilp, filter%soilp)   !CLM4  !checked and modified according to CLM4
+!     call CLMDebug('Begin VOCEmission')
+!   call VOCEmission(begp, endp, &  
+!                      filter%num_soilp, filter%soilp)   !CLM4  !checked and modified according to CLM4
 !#endif
 
      ! ============================================================================
diff -Nru WRFV3.5/phys/module_surface_driver.F WRFV3.5_MR/phys/module_surface_driver.F
--- WRFV3.5/phys/module_surface_driver.F	2013-03-15 22:28:41.000000000 +0100
+++ WRFV3.5_MR/phys/module_surface_driver.F	2014-12-17 11:53:55.908901000 +0100
@@ -221,7 +221,11 @@
      &          ,dl_u_bep                                             &                          
      &          ,tsk_save                                             & !for fractional seaice
      &          ,cldfra                                               & !ssib
-     &                                                             )
+     &          ,fco2,fco2mn,fco2mx,fco2nf,reco,reco_gpp,reco_gppmn   &
+     &          ,reco_gppmx,fpsn,fpsn_mn,fpsn_mx,fpsn_nf,fpsn_noslp   &
+     &          ,co2_clm,co2_clm2,co2_clm3,wj,we,wc,ci_mr,rs_mr,      & !cmr
+     &           rb_mr,btran_mr,apar_mr,sla_mr,vcmx_mr,svpts_mr,eah_mr& !cmr
+     &          ,valley_CO2pft2,valley_CO2backgr ) !cmr
               
 #if ( ! NMM_CORE == 1 )
    USE module_state_description, ONLY : SFCLAYSCHEME              &
@@ -897,9 +901,11 @@
    REAL, DIMENSION( ims:ime, jms:jme ) , INTENT(OUT), OPTIONAL  ::   NOAHRES
 
    INTEGER, INTENT(IN) :: MAXPATCH, inest
-
   integer, optional,  dimension(ims:ime,jms:jme ),intent(inout) :: numc,nump
-  real,    optional,  dimension(ims:ime,jms:jme ),intent(inout) :: sabv,sabg,lwup
+  real,    optional,  dimension(ims:ime,jms:jme ),intent(inout) :: sabv,sabg,lwup,fco2,fco2mn,fco2mx,fco2nf,reco,reco_gpp,reco_gppmn,reco_gppmx,fpsn,fpsn_mn,fpsn_mx,fpsn_nf,fpsn_noslp,wj,we,wc,ci_mr,rs_mr,rb_mr,btran_mr,apar_mr,sla_mr,vcmx_mr,svpts_mr,eah_mr !cmr
+  REAL,    optional,  DIMENSION( ims:ime, kms:kme, jms:jme ), INTENT(INOUT ) :: co2_clm,co2_clm2,co2_clm3 !cmr
+  INTEGER :: valley_CO2pft2 !cmr
+  REAL :: valley_CO2backgr !cmr
   integer, optional,  dimension(ims:ime,1:maxpatch,jms:jme ),intent(inout) :: snl
   real,    optional,  dimension(ims:ime,jms:jme ),intent(inout) ::t2m_max,t2m_min,t2clm
   real,    optional,  dimension(ims:ime,1:maxpatch,jms:jme ),intent(inout) ::  &
@@ -2794,8 +2800,6 @@
          ENDIF
 
 
-       CALL wrf_debug(100,'in clmdrv')
-
        CALL clmdrv(dz8w,qv_curr,p8w, t_phy,tsk,                   &
                 hfx,qfx,lh,grdflx,qgh,gsw,swdown,               &
                 ra_sw_physics,history_interval,glw,smstav,smstot, &
@@ -2893,6 +2897,11 @@
                 ,dwt_frootn_to_litr1n,dwt_frootn_to_litr2n, dwt_frootn_to_litr3n &
                 ,dwt_livecrootn_to_cwdn,dwt_deadcrootn_to_cwdn,retransn &
 #endif
+                ,fco2,fco2mn,fco2mx,fco2nf,reco,reco_gpp,reco_gppmn,reco_gppmx & !cmr 
+                ,fpsn,fpsn_mn,fpsn_mx,fpsn_nf,fpsn_noslp & !cmr
+                ,co2_clm,co2_clm2,co2_clm3,wj,we,wc,ci_mr,rs_mr, & !cmr 
+                 rb_mr,btran_mr,apar_mr,sla_mr,vcmx_mr,svpts_mr,eah_mr,slope & !cmr 
+                ,valley_CO2pft2,valley_CO2backgr & !cmr
                  )
 
          IF ( FRACTIONAL_SEAICE == 1 ) THEN
diff -Nru WRFV3.5/README.valley WRFV3.5_MR/README.valley
--- WRFV3.5/README.valley	1970-01-01 01:00:00.000000000 +0100
+++ WRFV3.5_MR/README.valley	2014-12-17 11:53:56.267763000 +0100
@@ -0,0 +1,123 @@
+==================================================================================================
+README for valley changes and namelist variables
+==================================================================================================
+
+Version: WRFV3.4
+
+Author:  Johannes Wagner
+
+==================================================================================================
+
+&valley
+
+ :: valley_latitude        Latitude                                           [deg]         real
+
+ :: valley_longitude       Longitude                                          [deg]         real
+
+ :: valley_tsk             Skintemperature                                    [K]           real
+
+ :: valley_tsk_tmn         tsk+tsk_tmn=tmn                                    [K]           real
+
+ :: valley_lu_index        Landuse index                                      []            integer
+
+ :: valley_lai             Leaf area index                                    []            real
+
+ :: valley_vegfra          Vegetation fraction                                []            real
+
+ :: valley_ivgtyp          Vegetation type                                    []            integer
+
+ :: valley_isltyp          Soil type                                          []            integer
+
+ :: valley_tslb            Soil temperature init                              [K]           real
+
+ :: valley_smois           Soil moisture init                                 []            real
+
+ :: valley_canwat          Soil canopy water init                             []            real
+
+ :: valley_topo_hp_off     Offset of topo variable hp                         [m]           real
+                           (used in valley_calcstatistics)
+
+ :: valley_topo_hp         Topo variable hp                                   [m]           real
+
+ :: valley_topo_ly         Topo variable Ly                                   [m]           real
+                           entspr. valley half-length
+
+ :: valley_topo_sy         Topo variable Sy                                   [m]           real
+
+ :: valley_topo_sx         Topo variable Sx                                   [m]           real
+
+ :: valley_topo_x1         Topo variable X1                                   [m]           real
+
+ :: valley_topo_x2         Topo variable X2                                   [m]           real
+
+ :: valley_topo_x3         Topo variable X3                                   [m]           real
+
+ :: valley_topo_x4         Topo variable X4                                   [m]           real
+
+ :: valley_topo_shiftx     Topo variable shiftx                               [m]           real
+
+ :: valley_topo_shifty     Topo variable shifty                               [m]           real
+
+ :: valley_tke_lscale      Length scale for 3D TKE                            []            integer
+                           turbulence closure:
+                           0: WRF formulation
+                           1: Schmidli formulation: l=dx
+                           2: Scotti (Phys. Fluid A., 1993) formulation
+
+ :: valley_hfx_tke         definition of constant surface heat                []            integer
+                           flux (works only for isfflx = 0,2).
+                           0: hfx defined by tke_heat_flux
+                           1: hfx defined by valley_hfx
+
+ :: valley_hfx             Value for constant surface heat flux               [W m-2]       real
+
+ :: valley_randx           Add random perturbation to perturbation theta      []            integer
+                           in module_initialize_les.F
+                           0: no perturbation
+                           1: add aditional perturbation
+
+ :: valley_statistics      compute valley statistics in                       []            integer
+                           diagnostic_output_calc
+                           0: no
+                           1: yes
+                           averaged variables should be
+                           written out in auxiliary history
+                           stream (e.g. auxhist1).
+                           auxhist1_begin should not start
+                           before 2*valley_av
+                           Hint: if 0 is chosen valley_nst 
+                           should be 0, too.
+
+ :: valley_av              half of time averaging interval in                 [min]         integer
+                           integer minutes
+
+ :: valley_avstep          number of time steps after which                   []            integer
+                           routine valley_calcstatistics is called
+
+ :: valley_nst             time dimension of storing fields:                  []            integer
+                           should be an integer and has to be computed
+                           as follows: valley_nst =
+                             1 + (2*valley_av*60)/(valley_avstep*dt)
+                           Hint for large domains:
+                           => set valley_nst to 0 for ideal.exe
+                           => use correct valley_nst for wrf.exe
+                           Hint for valley_statistics = 0:
+                           => valley_nst should be 0, too
+
+ :: valley_avspdir         direction of horizontal averaging:                 []            integer
+                           1: along x-axis
+                           2: along y-axis
+
+ :: valley_avsptype        type of horizontal averaging:                      []            integer
+                           1: average along whole domain
+                           2: moving average
+
+ :: valley_avsp            half of space averaging interval in                [metres]      real
+                           in real metres. 
+                           The following rules must be valid:
+                           -- 2.*valley_avsp/dx or 2.*valley_avsp/dy 
+                              must be an integer (depending on the value 
+                              of valley_avspdir). 
+                           -- 2.*valley_avsp/dx < e_we - s_we+1 (if valley_avspdir=1)
+                           -- 2.*valley_avsp/dy < e_sn - s_sn+1 (if valley_avspdir=2)
+                           Only used if valley_avsptype = 2
diff -Nru WRFV3.5/Registry/registry.clm WRFV3.5_MR/Registry/registry.clm
--- WRFV3.5/Registry/registry.clm	2012-12-21 22:22:51.000000000 +0100
+++ WRFV3.5_MR/Registry/registry.clm	2014-12-17 11:53:56.176749000 +0100
@@ -56,7 +56,7 @@
 state   real    T_SOISNO_S3    i4j      misc      1          Z     rd=(interp_mask_land_field:lu_index)u=(copy_fcnm)           "T_SOISNO_S3"     "3RD  SNOWLAYER TEMPERATURE"     "K"
 state   real    T_SOISNO_S4    i4j      misc      1          Z     rd=(interp_mask_land_field:lu_index)u=(copy_fcnm)           "T_SOISNO_S4"     "4TH  SNOWLAYER TEMPERATURE"     "K"
 state   real    T_SOISNO_S5    i4j      misc      1          Z     rd=(interp_mask_land_field:lu_index)u=(copy_fcnm)           "T_SOISNO_S5"     "5TH  SNOWLAYER TEMPERATURE"     "K"
-state   real    T_SOISNO1      i4j      misc      1          Z     rd=(interp_mask_land_field:lu_index)u=(copy_fcnm)           "T_SOISNO1"       "1ST  SOILLAYER TEMPERATURE"     "K"
+state   real    T_SOISNO1      i4j      misc      1          Z     rdh=(interp_mask_land_field:lu_index)u=(copy_fcnm)           "T_SOISNO1"       "1ST  SOILLAYER TEMPERATURE"     "K"
 state   real    T_SOISNO2      i4j      misc      1          Z     rd=(interp_mask_land_field:lu_index)u=(copy_fcnm)           "T_SOISNO2"       "2ND  SOILLAYER TEMPERATURE"     "K"
 state   real    T_SOISNO3      i4j      misc      1          Z     rd=(interp_mask_land_field:lu_index)u=(copy_fcnm)           "T_SOISNO3"       "3RD  SOILLAYER TEMPERATURE"     "K"
 state   real    T_SOISNO4      i4j      misc      1          Z     rd=(interp_mask_land_field:lu_index)u=(copy_fcnm)           "T_SOISNO4"       "4TH  SOILLAYER TEMPERATURE"     "K"
@@ -89,7 +89,7 @@
 state   real    T_LAKE8        i4j      misc      1          Z     rd=(interp_mask_land_field:lu_index)u=(copy_fcnm)           "T_LAKE8"         "8TH  LAKELAYER TEMPERATURE"     "K"
 state   real    T_LAKE9        i4j      misc      1          Z     rd=(interp_mask_land_field:lu_index)u=(copy_fcnm)           "T_LAKE9"         "9TH  LAKELAYER TEMPERATURE"     "K"
 state   real    T_LAKE10       i4j      misc      1          Z     rd=(interp_mask_land_field:lu_index)u=(copy_fcnm)           "T_LAKE10"        "10TH LAKELAYER TEMPERATURE"     "K"
-state   real    H2OSOI_VOL1    i4j      misc      1          Z     rd=(interp_mask_land_field:lu_index)u=(copy_fcnm)           "H2OSOI_VOL1"      "1ST  SOILLAYER VOL MOIST"   "fraction"
+state   real    H2OSOI_VOL1    i4j      misc      1          Z     rdh=(interp_mask_land_field:lu_index)u=(copy_fcnm)           "H2OSOI_VOL1"      "1ST  SOILLAYER VOL MOIST"   "fraction"
 state   real    H2OSOI_VOL2    i4j      misc      1          Z     rd=(interp_mask_land_field:lu_index)u=(copy_fcnm)           "H2OSOI_VOL2"      "2ND  SOILLAYER VOL MOIST"   "fraction"
 state   real    H2OSOI_VOL3    i4j      misc      1          Z     rd=(interp_mask_land_field:lu_index)u=(copy_fcnm)           "H2OSOI_VOL3"      "3RD  SOILLAYER VOL MOIST"   "fraction"
 state   real    H2OSOI_VOL4    i4j      misc      1          Z     rd=(interp_mask_land_field:lu_index)u=(copy_fcnm)           "H2OSOI_VOL4"      "4TH  SOILLAYER VOL MOIST"   "fraction"
@@ -101,13 +101,43 @@
 state   real    H2OSOI_VOL10   i4j      misc      1          Z     rd=(interp_mask_land_field:lu_index)u=(copy_fcnm)           "H2OSOI_VOL10"     "10TH SOILLAYER VOL MOIST"   "fraction"
 
 #Extra subgrid (PFT-level) output variables
-state   real    ALBEDOsubgrid  i4j      misc      1          Z     rd=(interp_mask_land_field:lu_index)u=(copy_fcnm)           "ALBEDOsubgrid"    "PFT-level ALBEDO"           ""
-state   real    LHsubgrid      i4j      misc      1          Z     rd=(interp_mask_land_field:lu_index)u=(copy_fcnm)           "LHsubgrid"        "PFT-level Latent Heat"      "W/m^2"
-state   real    HFXsubgrid     i4j      misc      1          Z     rd=(interp_mask_land_field:lu_index)u=(copy_fcnm)           "HFXsubgrid"       "PFT-level Sensible Heat"    "W/m^2"
-state   real    LWUPsubgrid    i4j      misc      1          Z     rd=(interp_mask_land_field:lu_index)u=(copy_fcnm)           "LWUPsubgrid"      "PFT-level Longwave Up"      "W/m^2"
+state   real    ALBEDOsubgrid  i4j      misc      1          Z     rdh=(interp_mask_land_field:lu_index)u=(copy_fcnm)           "ALBEDOsubgrid"    "PFT-level ALBEDO"           ""
+state   real    LHsubgrid      i4j      misc      1          Z     rdh=(interp_mask_land_field:lu_index)u=(copy_fcnm)           "LHsubgrid"        "PFT-level Latent Heat"      "W/m^2"
+state   real    HFXsubgrid     i4j      misc      1          Z     rdh=(interp_mask_land_field:lu_index)u=(copy_fcnm)           "HFXsubgrid"       "PFT-level Sensible Heat"    "W/m^2"
+state   real    LWUPsubgrid    i4j      misc      1          Z     rdh=(interp_mask_land_field:lu_index)u=(copy_fcnm)           "LWUPsubgrid"      "PFT-level Longwave Up"      "W/m^2"
 state   real    Q2subgrid      i4j      misc      1          Z     rd=(interp_mask_land_field:lu_index)u=(copy_fcnm)           "Q2subgrid"        "PFT-level 2m Moisture"      "mixing ratio"
 state   real    SABVsubgrid    i4j      misc      1          Z     rd=(interp_mask_land_field:lu_index)u=(copy_fcnm)           "SABVsubgrid"      "PFT-level SABV"             "W/m^2"
 state   real    SABGsubgrid    i4j      misc      1          Z     rd=(interp_mask_land_field:lu_index)u=(copy_fcnm)           "SABGsubgrid"      "PFT-level SABG"             "W/m^2"
-state   real    NRAsubgrid     i4j      misc      1          Z     rd=(interp_mask_land_field:lu_index)u=(copy_fcnm)           "NRAsubgrid"       "PFT-level Net Radiation"    "W/m^2"
-state   real    SWUPsubgrid    i4j      misc      1          Z     rd=(interp_mask_land_field:lu_index)u=(copy_fcnm)           "SWUPsubgrid"      "PFT-level Shortwave Up"     "W/m^2"
+state   real    NRAsubgrid     i4j      misc      1          Z     rdh=(interp_mask_land_field:lu_index)u=(copy_fcnm)           "NRAsubgrid"       "PFT-level Net Radiation"    "W/m^2"
+state   real    SWUPsubgrid    i4j      misc      1          Z     rdh=(interp_mask_land_field:lu_index)u=(copy_fcnm)           "SWUPsubgrid"      "PFT-level Shortwave Up"     "W/m^2"
+!cmr begin: define variables for output
+state   real    FCO2           ij       misc      1          -     h                                                           "FCO2"             "net CO2 flux"               "umol CO2 /m**2 /s"
+state   real    FCO2mn         ij       misc      1          -     h                                                           "FCO2mn"            "min CO2 flux (b)"           "umol CO2 /m**2 /s"
+state   real    FCO2mx         ij       misc      1          -     h                                                           "FCO2mx"            "max CO2 flux (c)"           "umol CO2 /m**2 /s"
+state   real    FCO2nf         ij       misc      1          -     h                                                           "FCO2nf"            "no fbck CO2 flux"           "umol CO2 /m**2 /s"
+state   real    RECO           ij       misc      1          -     h                                                           "RECO"             "ecosys. respiration"        "umol CO2 /m**2 /s"
+state   real    RECO_GPP       ij       misc      1          -     h                                                           "RECO_GPP"         "ecosys. respiration linGPP" "umol CO2 /m**2 /s"
+state   real    RECO_GPPmn     ij       misc      1          -     h                                                           "RECO_GPPmn"         "minimal respiration linGPP" "umol CO2 /m**2 /s"
+state   real    RECO_GPPmx     ij       misc      1          -     h                                                           "RECO_GPPmx"         "maximal respiration linGPP" "umol CO2 /m**2 /s"
+state   real    FPSN           ij       misc      1          -     h                                                           "FPSN"             "photosythesis"              "umol CO2 /m**2 /s"
+state   real    FPSN_mn        ij       misc      1          -     h                                                           "FPSN_mn"            "minimal photosythesis"      "umol CO2 /m**2 /s"
+state   real    FPSN_mx        ij       misc      1          -     h                                                           "FPSN_mx"            "maximal photosythesis"      "umol CO2 /m**2 /s"
+state   real    FPSN_nf        ij       misc      1          -     h                                                           "FPSN_nf"            "photosythesis no feedback"  "umol CO2 /m**2 /s"
+state   real    FPSN_NOSLP     ij       misc      1          -     h                                                           "FPSN_NOSLP"         "psn without slope"        "umol CO2 /m**2 /s"
+state   real    CO2_CLM        ikj      misc      1          -     -                                                           "CO2_CLM"          "CO2 mixing ratio"           "ppmv"
+state   real    CO2_CLM2       ikj      misc      1          -     -                                                           "CO2_CLM2"          "CO2 mixing ratio min fpsn" "ppmv"
+state   real    CO2_CLM3       ikj      misc      1          -     -                                                           "CO2_CLM3"          "CO2 mixing ratio max fpsn" "ppmv"
+state   real    WJ             ij       misc      1          -     h                                                           "WJ"               "light lim. photosythesis"   "umol CO2 /m**2 /s"
+state   real    WE             ij       misc      1          -     h                                                           "WE"               "export lim. photosythesis"  "umol CO2 /m**2 /s"
+state   real    WC             ij       misc      1          -     h                                                           "WC"               "rubisco lim. photosythesi"  "umol CO2 /m**2 /s"
+state   real    CI_MR          ij       misc      1          -     h                                                           "CI_MR"            "Intracellular CO2"           "Pa"
+state   real    RS_MR          ij       misc      1          -     h                                                           "RS_MR"               "Stomatal resistance"        "(s/m)"
+state   real    RB_MR          ij       misc      1          -     -                                                           "RB_MR"               "boundary layer resistance"        "(s/m)"
+state   real    BTRAN_MR       ij       misc      1          -     -                                                           "BTRAN_MR"            "transpiration wetness factor"     "(0 to 1)"
+state   real    APAR_MR        ij       misc      1          -     -                                                           "APAR_MR"             "par absorbed per unit lai"        "(w/m**2)"
+state   real    SLA_MR         ij       misc      1          -     -                                                           "SLA_MR"              "specific leaf area"               "m^2/gC"
+state   real    VCMX_MR        ij       misc      1          -     -                                                           "VCMX_MR"             "maximum rate of carboxylation"    "umol co2/m**2/s"
+state   real    SVPTS_MR       ij       misc      1          -     h                                                           "SVPTS_MR"            "sat. vapor pr. at t_veg (pa)"    "umol co2/m**2/s"
+state   real    EAH_MR         ij       misc      1          -     h                                                           "EAH_MR"             "canopy air vapor pr. (pa)"    "umol co2/m**2/s"
+!cmr end
 # end of CLM variables ---------------------------------------------------------------------------------
